## cxx-rust-cssparser 0.0.0+p24.04+vunstable+git20251022.0041

=== debian/changelog ===
cxx-rust-cssparser (0.0.0+p24.04+vunstable+git20251022.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:41:36 +0000

cxx-rust-cssparser (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Mon, 23 Jun 2025 19:26:11 +0000
