=== debian/changelog ===
cxx-rust-cssparser (0.0.0+p24.04+vunstable+git20251203.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:48:42 +0000
