=== debian/control ===
Source: cxx-rust-cssparser
Section: libs
Priority: optional
Build-Depends: cargo-1.82,
               cmake,
               corrosion,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-base-dev,
               rustc-1.82
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/cxx-rust-cssparser
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/cxx-rust-cssparser.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/cxx-rust-cssparser
Maintainer: Neon CI <neon@kde.org>

Package: cxx-rust-cssparser-dev
Section: libdevel
Architecture: any
Depends: cxx-rust-cssparser (= ${binary:Version}),
         kf6-extra-cmake-modules,
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's cxx-rust-cssparser library
 A C++ library for parsing CSS that uses the Rust cssparser crate internally.
 .
 This package contains the library development files.

Package: cxx-rust-cssparser
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's cxx-rust-cssparser library
 A C++ library for parsing CSS that uses the Rust cssparser crate internally.
 .
 This package contains the cxx-rust-cssparser main library.
