## cxx-rust-cssparser 0.0.0+p24.04+vunstable+git20251208.0220

=== debian/changelog ===
cxx-rust-cssparser (0.0.0+p24.04+vunstable+git20251208.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:20:42 +0000
